import java.io.*;
import java.util.*;
public class main {
    public static void main(String[] args)throws Exception{
        Scanner in=new Scanner(new File("sort.in"));
        PrintWriter out=new PrintWriter("sort.out");
        int n=in.nextInt();
        int[] a=new int[n];
        int c;
        for(int i=0;i<n;i++)
            a[i]=in.nextInt();
        for(int i=0;i<n;i++)
            for(int j=1;j<n;j++)
                if(a[j]<a[j-1])
                {
                    c=a[j];
                    a[j]=a[j-1];
                    a[j-1]=c;
                }
        for(int i=0;i<n;i++)
        out.print(a[i]+" ");
        out.close();
    }
}
